Skip to Content
LurkrLurkr Docs
Levels

Update User Level

Update the experience of a user in a guild

PATCH
/levels/{guildId}/users/{userId}

Update the experience of a user in a guild

Authorization

apiKey
headerX-Api-Key<token>

The user's API key to authenticate requests

Path Parameters

guildId*Snowflake

A Discord snowflake identifier

Match^[1-9]\d+$
Length17 <= length <= 19
userId*Snowflake

A Discord snowflake identifier

Match^[1-9]\d+$
Length17 <= length <= 19

Request Body

application/json
  1. body
triggerCooldown?boolean

Whether to trigger the leveling cooldown for this user, meaning they won't gain XP for the duration of the cooldown after this request

Defaultfalse
xp*||

The amount to modify the user's XP by. We recommend using the atomic increment/decrement methods, if possible.

Response Body

Default Response

application/json
  1. response
level*
Example Request
curl -X PATCH 'https://api.lurkr.gg/v2/levels/stringstringstrin/users/stringstringstrin' \  -H 'Content-Type: application/json' \  -d '{  "xp": {    "increment": 1  }}'
Example Response200
{  "level": {    "level": 0,    "messageCount": 0,    "xp": 0  }}